From 2e43b5122729466b5218ab9f0c9f0c93973d1c66 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 18 2021 20:35:38 +0000
Subject: [PATCH 2130/2232] Consistently use 'other: &Self' in homogeneous comparison impls


---

diff --git a/gen/src/out.rs b/gen/src/out.rs
index bf880cc..3b4d739 100644
--- a/gen/src/out.rs
+++ b/gen/src/out.rs
@@ -102,7 +102,7 @@ impl<'a> Write for Content<'a> {
 }
 
 impl<'a> PartialEq for Content<'a> {
-    fn eq(&self, _other: &Content) -> bool {
+    fn eq(&self, _other: &Self) -> bool {
         true
     }
 }
diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index e4dfdf1..dce7053 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -168,7 +168,7 @@ impl Debug for CxxString {
 }
 
 impl PartialEq for CxxString {
-    fn eq(&self, other: &CxxString) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         self.as_bytes() == other.as_bytes()
     }
 }
diff --git a/syntax/impls.rs b/syntax/impls.rs
index 3a0b3e0..ee4b641 100644
--- a/syntax/impls.rs
+++ b/syntax/impls.rs
@@ -6,7 +6,7 @@ use std::mem;
 use std::ops::{Deref, DerefMut};
 
 impl PartialEq for Include {
-    fn eq(&self, other: &Include) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         let Include {
             path,
             kind,
@@ -61,7 +61,7 @@ impl Hash for Type {
 impl Eq for Type {}
 
 impl PartialEq for Type {
-    fn eq(&self, other: &Type) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         match (self, other) {
             (Type::Ident(lhs), Type::Ident(rhs)) => lhs == rhs,
             (Type::RustBox(lhs), Type::RustBox(rhs)) => lhs == rhs,
@@ -83,7 +83,7 @@ impl PartialEq for Type {
 impl Eq for Lifetimes {}
 
 impl PartialEq for Lifetimes {
-    fn eq(&self, other: &Lifetimes) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         let Lifetimes {
             lt_token: _,
             lifetimes,
@@ -115,7 +115,7 @@ impl Hash for Lifetimes {
 impl Eq for Ty1 {}
 
 impl PartialEq for Ty1 {
-    fn eq(&self, other: &Ty1) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         let Ty1 {
             name,
             langle: _,
@@ -148,7 +148,7 @@ impl Hash for Ty1 {
 impl Eq for Ref {}
 
 impl PartialEq for Ref {
-    fn eq(&self, other: &Ref) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         let Ref {
             pinned,
             ampersand: _,
@@ -192,7 +192,7 @@ impl Hash for Ref {
 impl Eq for SliceRef {}
 
 impl PartialEq for SliceRef {
-    fn eq(&self, other: &SliceRef) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         let SliceRef {
             ampersand: _,
             lifetime,
@@ -232,7 +232,7 @@ impl Hash for SliceRef {
 impl Eq for Array {}
 
 impl PartialEq for Array {
-    fn eq(&self, other: &Array) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         let Array {
             bracket: _,
             inner,
@@ -268,7 +268,7 @@ impl Hash for Array {
 impl Eq for Signature {}
 
 impl PartialEq for Signature {
-    fn eq(&self, other: &Signature) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         let Signature {
             unsafety,
             fn_token: _,
@@ -349,7 +349,7 @@ impl Hash for Signature {
 impl Eq for Receiver {}
 
 impl PartialEq for Receiver {
-    fn eq(&self, other: &Receiver) -> bool {
+    fn eq(&self, other: &Self) -> bool {
         let Receiver {
             pinned,
             ampersand: _,

